axhtpasswd(1)

NAME
axhtpasswd - Manage user files for basic authentication

SYNOPSIS
axhttpd username

DESCRIPTION
axhtpasswd is used to help manually edit .htpasswd files, used by axhttpd This file is formatted as the familiar colon-separated username/encrypted-password pair, records delimited by newlines. The program reads the username from command line and the password from input, outputs the username/encrypted-password pair then exits. The encryption of this password uses a proprietary algorithm due to the dependency of many crypt libraries on DES, so the generated .htpasswd is not portable among other HTTPDs.

OPTIONS

This program does not accept any other command line options.

AUTHOR
axhtpasswd is written by Cameron Hamilton-Rich.